Index: /trunk/doc/Flair/navtreeindex4.js
===================================================================
--- /trunk/doc/Flair/navtreeindex4.js	(revision 43)
+++ /trunk/doc/Flair/navtreeindex4.js	(revision 44)
@@ -1,4 +1,12 @@
 var NAVTREEINDEX4 =
 {
+"classflair_1_1gui_1_1_box.html#a3d1e4e81c7c59a051368a346a104c988":[1,0,0,3,0,5],
+"classflair_1_1gui_1_1_box.html#a54608ff0fdac6b8e05c8ece4fd3f8375":[1,0,0,3,0,2],
+"classflair_1_1gui_1_1_box.html#a72d33c20718419d566e198840318e22f":[1,0,0,3,0,4],
+"classflair_1_1gui_1_1_box.html#a97997d50ef96b359564c2d6b94db1edc":[1,0,0,3,0,3],
+"classflair_1_1gui_1_1_box.html#adfd9a664f5096bbe85cdebf021f542ea":[1,0,0,3,0,1],
+"classflair_1_1gui_1_1_check_box.html":[1,0,0,3,1],
+"classflair_1_1gui_1_1_check_box.html#a217da5fe57fdb820430b61ed30c6aa18":[1,0,0,3,1,3],
+"classflair_1_1gui_1_1_check_box.html#acdd3773ee8b46d83f42db60fb15c4456":[1,0,0,3,1,0],
 "classflair_1_1gui_1_1_check_box.html#ad542c13fc2280e2fc34ff291d444fb2b":[1,0,0,3,1,2],
 "classflair_1_1gui_1_1_check_box.html#ad82b1af4d49c94b8dac83dd26b887e17":[1,0,0,3,1,1],
@@ -174,12 +182,14 @@
 "classflair_1_1meta_1_1_simu_x8.html#ae7c83ca2c9077381256ce349cf218c96":[1,0,0,4,5,2],
 "classflair_1_1meta_1_1_uav.html":[1,0,0,4,6],
+"classflair_1_1meta_1_1_uav.html#a03fdd9b52f7ffa4da19653ab7a598b29":[1,0,0,4,6,16],
 "classflair_1_1meta_1_1_uav.html#a0c5cc25c82332bdbf9aba580fb6766bc":[1,0,0,4,6,3],
 "classflair_1_1meta_1_1_uav.html#a3530feee2f8194631031c4e78397ab4d":[1,0,0,4,6,2],
 "classflair_1_1meta_1_1_uav.html#a39e84427251c38fe95fff8c93541d5f9":[1,0,0,4,6,6],
-"classflair_1_1meta_1_1_uav.html#a455add1267f93f0f5ee6c40fc7e78e08":[1,0,0,4,6,19],
+"classflair_1_1meta_1_1_uav.html#a455add1267f93f0f5ee6c40fc7e78e08":[1,0,0,4,6,20],
 "classflair_1_1meta_1_1_uav.html#a52826951585d7194a016ce8a31d9f62e":[1,0,0,4,6,11],
-"classflair_1_1meta_1_1_uav.html#a594e44502d58c8886d006dce444304c8":[1,0,0,4,6,18],
+"classflair_1_1meta_1_1_uav.html#a594e44502d58c8886d006dce444304c8":[1,0,0,4,6,19],
 "classflair_1_1meta_1_1_uav.html#a6c6738ce289162235fa2942f55900bfe":[1,0,0,4,6,5],
 "classflair_1_1meta_1_1_uav.html#a715d1259e41867078cb9dcf8bebd404e":[1,0,0,4,6,15],
+"classflair_1_1meta_1_1_uav.html#a78c1a1f0344c91f9aac4bb62f32714c3":[1,0,0,4,6,23],
 "classflair_1_1meta_1_1_uav.html#a79131875459876ba53cfc0a1b76b0b93":[1,0,0,4,6,9],
 "classflair_1_1meta_1_1_uav.html#a864ba7aa6033e21b56ef9878a1e48fc2":[1,0,0,4,6,0],
@@ -188,9 +198,9 @@
 "classflair_1_1meta_1_1_uav.html#aafa599a87ab1774de193d5b18474e2b7":[1,0,0,4,6,1],
 "classflair_1_1meta_1_1_uav.html#ab55e2500e42ede92950de3efbc1e58e1":[1,0,0,4,6,10],
-"classflair_1_1meta_1_1_uav.html#ab6f21b4db412eccba2d16b914496a8e4":[1,0,0,4,6,16],
-"classflair_1_1meta_1_1_uav.html#ad96792706400e63bc6ab9281780285d4":[1,0,0,4,6,21],
-"classflair_1_1meta_1_1_uav.html#adb32e59418a6bc3980c0aec829a5eb70":[1,0,0,4,6,20],
+"classflair_1_1meta_1_1_uav.html#ab6f21b4db412eccba2d16b914496a8e4":[1,0,0,4,6,17],
+"classflair_1_1meta_1_1_uav.html#ad96792706400e63bc6ab9281780285d4":[1,0,0,4,6,22],
+"classflair_1_1meta_1_1_uav.html#adb32e59418a6bc3980c0aec829a5eb70":[1,0,0,4,6,21],
 "classflair_1_1meta_1_1_uav.html#ae099b8f2558a125d2ac14aa04bb8e1d6":[1,0,0,4,6,8],
-"classflair_1_1meta_1_1_uav.html#ae4d2df5677c51f4083b9f3d93e5d275f":[1,0,0,4,6,17],
+"classflair_1_1meta_1_1_uav.html#ae4d2df5677c51f4083b9f3d93e5d275f":[1,0,0,4,6,18],
 "classflair_1_1meta_1_1_uav.html#af228f3b0b6241abc48d008ff7389c67e":[1,0,0,4,6,13],
 "classflair_1_1meta_1_1_uav.html#af6ace6e08682f12a6702d674fe66ce32":[1,0,0,4,6,12],
@@ -240,14 +250,4 @@
 "classflair_1_1meta_1_1_uav_state_machine.html#a8c303819c3981685f734cb40a3e1e1faaffd8e436a03fc288a339dc5799afca23":[1,0,0,4,7,4,1],
 "classflair_1_1meta_1_1_uav_state_machine.html#a8e60c6966eb00cf63c0278d575b8e394":[1,0,0,4,7,44],
-"classflair_1_1meta_1_1_uav_state_machine.html#a91c1396bbf486ddd5cde6072b222543d":[1,0,0,4,7,9],
-"classflair_1_1meta_1_1_uav_state_machine.html#a9340da0cfbec2e72f323e51a43ae0b19":[1,0,0,4,7,37],
-"classflair_1_1meta_1_1_uav_state_machine.html#a95ee0204cc898cb8e5179ccc5d1dc1f5":[1,0,0,4,7,7],
-"classflair_1_1meta_1_1_uav_state_machine.html#a9e5c71804025830b11104cdbe2d0f7dc":[1,0,0,4,7,45],
-"classflair_1_1meta_1_1_uav_state_machine.html#a9f97b96be1eaaab9dcb9e1a245b614f2":[1,0,0,4,7,35],
-"classflair_1_1meta_1_1_uav_state_machine.html#aa642bfeb1d97dec839088e2256a3699b":[1,0,0,4,7,43],
-"classflair_1_1meta_1_1_uav_state_machine.html#aaccc304294da3e6c9061dea888c824b1":[1,0,0,4,7,5],
-"classflair_1_1meta_1_1_uav_state_machine.html#ab00c67c969f749b25c9c442debfbbdd2":[1,0,0,4,7,33],
-"classflair_1_1meta_1_1_uav_state_machine.html#ab25472bbf51a7baf97ec5e9cfc148f8b":[1,0,0,4,7,41],
-"classflair_1_1meta_1_1_uav_state_machine.html#ab2ed3ee4d9ccdbc2bb813a9b55a0d544":[1,0,0,4,7,28],
-"classflair_1_1meta_1_1_uav_state_machine.html#ab737f2861d5c1901a0f62f54fe2c0855":[1,0,0,4,7,42]
+"classflair_1_1meta_1_1_uav_state_machine.html#a91c1396bbf486ddd5cde6072b222543d":[1,0,0,4,7,9]
 };
Index: /trunk/doc/Flair/navtreeindex5.js
===================================================================
--- /trunk/doc/Flair/navtreeindex5.js	(revision 43)
+++ /trunk/doc/Flair/navtreeindex5.js	(revision 44)
@@ -1,4 +1,14 @@
 var NAVTREEINDEX5 =
 {
+"classflair_1_1meta_1_1_uav_state_machine.html#a9340da0cfbec2e72f323e51a43ae0b19":[1,0,0,4,7,37],
+"classflair_1_1meta_1_1_uav_state_machine.html#a95ee0204cc898cb8e5179ccc5d1dc1f5":[1,0,0,4,7,7],
+"classflair_1_1meta_1_1_uav_state_machine.html#a9e5c71804025830b11104cdbe2d0f7dc":[1,0,0,4,7,45],
+"classflair_1_1meta_1_1_uav_state_machine.html#a9f97b96be1eaaab9dcb9e1a245b614f2":[1,0,0,4,7,35],
+"classflair_1_1meta_1_1_uav_state_machine.html#aa642bfeb1d97dec839088e2256a3699b":[1,0,0,4,7,43],
+"classflair_1_1meta_1_1_uav_state_machine.html#aaccc304294da3e6c9061dea888c824b1":[1,0,0,4,7,5],
+"classflair_1_1meta_1_1_uav_state_machine.html#ab00c67c969f749b25c9c442debfbbdd2":[1,0,0,4,7,33],
+"classflair_1_1meta_1_1_uav_state_machine.html#ab25472bbf51a7baf97ec5e9cfc148f8b":[1,0,0,4,7,41],
+"classflair_1_1meta_1_1_uav_state_machine.html#ab2ed3ee4d9ccdbc2bb813a9b55a0d544":[1,0,0,4,7,28],
+"classflair_1_1meta_1_1_uav_state_machine.html#ab737f2861d5c1901a0f62f54fe2c0855":[1,0,0,4,7,42],
 "classflair_1_1meta_1_1_uav_state_machine.html#ac335dfcc3c91af9e59dc10d88c1da04f":[1,0,0,4,7,26],
 "classflair_1_1meta_1_1_uav_state_machine.html#ac93d0d595a86a014c27375c973f693a8":[1,0,0,4,7,39],
@@ -22,17 +32,23 @@
 "classflair_1_1sensor_1_1_battery_monitor.html#aefc9c63227a5a0a852ddba24ee7cd4e1":[1,0,0,5,0,1],
 "classflair_1_1sensor_1_1_camera.html":[1,0,0,5,1],
-"classflair_1_1sensor_1_1_camera.html#a021269c674e17ad897269a22a6576309":[1,0,0,5,1,6],
-"classflair_1_1sensor_1_1_camera.html#a0367c89fe729864229dcafe2ff10fb8a":[1,0,0,5,1,0],
-"classflair_1_1sensor_1_1_camera.html#a2dbddbcfb399c7dae0de7b455a3b9d90":[1,0,0,5,1,1],
-"classflair_1_1sensor_1_1_camera.html#a41eea06fcb5539cfeaabc544b9bf6c56":[1,0,0,5,1,8],
-"classflair_1_1sensor_1_1_camera.html#a5fc0cfac6604d60add2af054ea6e2afc":[1,0,0,5,1,9],
-"classflair_1_1sensor_1_1_camera.html#a684b76e97ad410052d04da65a39eaf1d":[1,0,0,5,1,4],
-"classflair_1_1sensor_1_1_camera.html#a78b1839d9367d8df8e87a70460c1f228":[1,0,0,5,1,5],
-"classflair_1_1sensor_1_1_camera.html#ab03cb2d9704584c179823201c1098b88":[1,0,0,5,1,10],
-"classflair_1_1sensor_1_1_camera.html#ab23554ab7709e2069c7bbd298af82cca":[1,0,0,5,1,11],
-"classflair_1_1sensor_1_1_camera.html#ac812dd64ee47c9241dd83e37948fbc63":[1,0,0,5,1,7],
-"classflair_1_1sensor_1_1_camera.html#ace75da2070757c34ea5fa2b1b987d8cd":[1,0,0,5,1,3],
-"classflair_1_1sensor_1_1_camera.html#ad64596dd00415cfcecfa3589ddfdeaac":[1,0,0,5,1,2],
-"classflair_1_1sensor_1_1_camera.html#ae20e6de6e980f4c7d6b60d9174d8dd19":[1,0,0,5,1,12],
+"classflair_1_1sensor_1_1_camera.html#a021269c674e17ad897269a22a6576309":[1,0,0,5,1,7],
+"classflair_1_1sensor_1_1_camera.html#a0367c89fe729864229dcafe2ff10fb8a":[1,0,0,5,1,1],
+"classflair_1_1sensor_1_1_camera.html#a2dbddbcfb399c7dae0de7b455a3b9d90":[1,0,0,5,1,2],
+"classflair_1_1sensor_1_1_camera.html#a41eea06fcb5539cfeaabc544b9bf6c56":[1,0,0,5,1,9],
+"classflair_1_1sensor_1_1_camera.html#a5a8dd85868d1d300f29022acf4ed752e":[1,0,0,5,1,12],
+"classflair_1_1sensor_1_1_camera.html#a5fc0cfac6604d60add2af054ea6e2afc":[1,0,0,5,1,10],
+"classflair_1_1sensor_1_1_camera.html#a668031aa8648f38eb980e51f641619c4":[1,0,0,5,1,13],
+"classflair_1_1sensor_1_1_camera.html#a684b76e97ad410052d04da65a39eaf1d":[1,0,0,5,1,5],
+"classflair_1_1sensor_1_1_camera.html#a78b1839d9367d8df8e87a70460c1f228":[1,0,0,5,1,6],
+"classflair_1_1sensor_1_1_camera.html#ab03cb2d9704584c179823201c1098b88":[1,0,0,5,1,11],
+"classflair_1_1sensor_1_1_camera.html#ab23554ab7709e2069c7bbd298af82cca":[1,0,0,5,1,14],
+"classflair_1_1sensor_1_1_camera.html#ac6f4c3e58d2822bba71da604544e63b5":[1,0,0,5,1,0],
+"classflair_1_1sensor_1_1_camera.html#ac6f4c3e58d2822bba71da604544e63b5a633d6abff0a3fc22404347728d195059":[1,0,0,5,1,0,1],
+"classflair_1_1sensor_1_1_camera.html#ac6f4c3e58d2822bba71da604544e63b5a92769fe7c40229f4301d6125e0a9e928":[1,0,0,5,1,0,2],
+"classflair_1_1sensor_1_1_camera.html#ac6f4c3e58d2822bba71da604544e63b5ab50339a10e1de285ac99d4c3990b8693":[1,0,0,5,1,0,0],
+"classflair_1_1sensor_1_1_camera.html#ac812dd64ee47c9241dd83e37948fbc63":[1,0,0,5,1,8],
+"classflair_1_1sensor_1_1_camera.html#ace75da2070757c34ea5fa2b1b987d8cd":[1,0,0,5,1,4],
+"classflair_1_1sensor_1_1_camera.html#ad64596dd00415cfcecfa3589ddfdeaac":[1,0,0,5,1,3],
+"classflair_1_1sensor_1_1_camera.html#ae20e6de6e980f4c7d6b60d9174d8dd19":[1,0,0,5,1,15],
 "classflair_1_1sensor_1_1_emulated_controller.html":[1,0,0,5,2],
 "classflair_1_1sensor_1_1_emulated_controller.html#a2be58f7c5552d77ca993f1347a600731":[1,0,0,5,2,3],
@@ -234,20 +250,4 @@
 "classflair_1_1sensor_1_1_switch_led_message.html#a917864328393baeef6a6d4e09a2ca831":[1,0,0,5,25,1],
 "classflair_1_1sensor_1_1_switch_led_message.html#a97703c6aefc52668c1985d6088cdd1a7":[1,0,0,5,25,0],
-"classflair_1_1sensor_1_1_switch_led_message.html#ae593e58d693bc38e1861327aa9c126f6":[1,0,0,5,25,3],
-"classflair_1_1sensor_1_1_switch_led_message.html#aed2d41c6c992f87ce759549c690fe905":[1,0,0,5,25,2],
-"classflair_1_1sensor_1_1_target_controller.html":[1,0,0,5,26],
-"classflair_1_1sensor_1_1_target_controller.html#a0193e57e4544a07e98e51443ce7f3390":[1,0,0,5,26,16],
-"classflair_1_1sensor_1_1_target_controller.html#a08ffd72ab93badce223eae5c92d4ee12":[1,0,0,5,26,12],
-"classflair_1_1sensor_1_1_target_controller.html#a0bd1617d80ffdf3dc18a6149c3cc5f71":[1,0,0,5,26,20],
-"classflair_1_1sensor_1_1_target_controller.html#a122a460a208f5e4d08a222af44c2e46f":[1,0,0,5,26,24],
-"classflair_1_1sensor_1_1_target_controller.html#a1412843c3868da9d8b6ff320badd7766":[1,0,0,5,26,17],
-"classflair_1_1sensor_1_1_target_controller.html#a1e883144c9ebf38961b7bce349fd8da3":[1,0,0,5,26,15],
-"classflair_1_1sensor_1_1_target_controller.html#a1fb5ecb35823de3f5e201f3c2cb1d468":[1,0,0,5,26,22],
-"classflair_1_1sensor_1_1_target_controller.html#a2497d1f4174ce152f3b399f8a2c389fc":[1,0,0,5,26,2],
-"classflair_1_1sensor_1_1_target_controller.html#a2763e37d807239f187e23b1b2675940c":[1,0,0,5,26,11],
-"classflair_1_1sensor_1_1_target_controller.html#a2a86fea6048d3b3f71a898733915306b":[1,0,0,5,26,27],
-"classflair_1_1sensor_1_1_target_controller.html#a303f53ce0bae95c47688678e4eb52d4c":[1,0,0,5,26,3],
-"classflair_1_1sensor_1_1_target_controller.html#a3c056f88a6fe47f2be02ef184986282c":[1,0,0,5,26,25],
-"classflair_1_1sensor_1_1_target_controller.html#a3c1926b41302b0487acfec388b79a26f":[1,0,0,5,26,14],
-"classflair_1_1sensor_1_1_target_controller.html#a66b9cd39511eb0c4f3406155ca5a7e0f":[1,0,0,5,26,21]
+"classflair_1_1sensor_1_1_switch_led_message.html#ae593e58d693bc38e1861327aa9c126f6":[1,0,0,5,25,3]
 };
Index: /trunk/doc/Flair/navtreeindex6.js
===================================================================
--- /trunk/doc/Flair/navtreeindex6.js	(revision 43)
+++ /trunk/doc/Flair/navtreeindex6.js	(revision 44)
@@ -1,4 +1,20 @@
 var NAVTREEINDEX6 =
 {
+"classflair_1_1sensor_1_1_switch_led_message.html#aed2d41c6c992f87ce759549c690fe905":[1,0,0,5,25,2],
+"classflair_1_1sensor_1_1_target_controller.html":[1,0,0,5,26],
+"classflair_1_1sensor_1_1_target_controller.html#a0193e57e4544a07e98e51443ce7f3390":[1,0,0,5,26,16],
+"classflair_1_1sensor_1_1_target_controller.html#a08ffd72ab93badce223eae5c92d4ee12":[1,0,0,5,26,12],
+"classflair_1_1sensor_1_1_target_controller.html#a0bd1617d80ffdf3dc18a6149c3cc5f71":[1,0,0,5,26,20],
+"classflair_1_1sensor_1_1_target_controller.html#a122a460a208f5e4d08a222af44c2e46f":[1,0,0,5,26,24],
+"classflair_1_1sensor_1_1_target_controller.html#a1412843c3868da9d8b6ff320badd7766":[1,0,0,5,26,17],
+"classflair_1_1sensor_1_1_target_controller.html#a1e883144c9ebf38961b7bce349fd8da3":[1,0,0,5,26,15],
+"classflair_1_1sensor_1_1_target_controller.html#a1fb5ecb35823de3f5e201f3c2cb1d468":[1,0,0,5,26,22],
+"classflair_1_1sensor_1_1_target_controller.html#a2497d1f4174ce152f3b399f8a2c389fc":[1,0,0,5,26,2],
+"classflair_1_1sensor_1_1_target_controller.html#a2763e37d807239f187e23b1b2675940c":[1,0,0,5,26,11],
+"classflair_1_1sensor_1_1_target_controller.html#a2a86fea6048d3b3f71a898733915306b":[1,0,0,5,26,27],
+"classflair_1_1sensor_1_1_target_controller.html#a303f53ce0bae95c47688678e4eb52d4c":[1,0,0,5,26,3],
+"classflair_1_1sensor_1_1_target_controller.html#a3c056f88a6fe47f2be02ef184986282c":[1,0,0,5,26,25],
+"classflair_1_1sensor_1_1_target_controller.html#a3c1926b41302b0487acfec388b79a26f":[1,0,0,5,26,14],
+"classflair_1_1sensor_1_1_target_controller.html#a66b9cd39511eb0c4f3406155ca5a7e0f":[1,0,0,5,26,21],
 "classflair_1_1sensor_1_1_target_controller.html#a677a1fd35d04b1ffd033206634c6c05e":[1,0,0,5,26,18],
 "classflair_1_1sensor_1_1_target_controller.html#a755c01ac4c8596e94310b5d61356be0c":[1,0,0,5,26,4],
@@ -94,5 +110,5 @@
 "classflair_1_1simulator_1_1_fixed_camera.html#a179bfa24ee9a02abbd733adecc776142":[1,0,0,6,3,2],
 "classflair_1_1simulator_1_1_fixed_camera.html#a948a61047e7affb9cdd5e528ec4fea29":[1,0,0,6,3,1],
-"classflair_1_1simulator_1_1_fixed_camera.html#ae346521445d640a48a1b167de2e456f1":[1,0,0,6,3,0],
+"classflair_1_1simulator_1_1_fixed_camera.html#ae3c185becc3aaea0b3cb31d9bd6a5238":[1,0,0,6,3,0],
 "classflair_1_1simulator_1_1_gui.html":[1,0,0,6,4],
 "classflair_1_1simulator_1_1_gui.html#a427b995fa8ed42f2fe741d29abdbcb07":[1,0,0,6,4,4],
@@ -234,20 +250,4 @@
 "index.html":[],
 "io__data_8h.html":[2,0,46],
-"io__data_8h.html#a388da3412e183befb390ac46023bdcac":[2,0,46,12],
-"io__data_8h.html#a4ca29f33fc446a0d6c6fd314c78069b3":[2,0,46,11],
-"io__data_8h.html#a6dbece12f2117234500c91be48ea781c":[2,0,46,8],
-"io__data_8h.html#a74c64d35d845a87219d68d2ffaaac833":[2,0,46,13],
-"io__data_8h.html#a7a2cd054ab7f3308038a53882c7f4e7a":[2,0,46,10],
-"io__data_8h.html#ad6d174017f93c73db69089138f9b74c1":[2,0,46,14],
-"io__data_8h.html#ad87fcd9f0a37939dfec9611a248b4658":[2,0,46,9],
-"io__data_8h_source.html":[2,0,46],
-"namespaceflair.html":[1,0,0],
-"namespaceflair.html":[0,0,0],
-"namespaceflair_1_1actuator.html":[1,0,0,0],
-"namespaceflair_1_1actuator.html":[0,0,0,0],
-"namespaceflair_1_1core.html":[1,0,0,1],
-"namespaceflair_1_1core.html":[0,0,0,1],
-"namespaceflair_1_1filter.html":[1,0,0,2],
-"namespaceflair_1_1filter.html":[0,0,0,2],
-"namespaceflair_1_1gui.html":[0,0,0,3]
+"io__data_8h.html#a388da3412e183befb390ac46023bdcac":[2,0,46,12]
 };
Index: /trunk/doc/Flair/navtreeindex7.js
===================================================================
--- /trunk/doc/Flair/navtreeindex7.js	(revision 43)
+++ /trunk/doc/Flair/navtreeindex7.js	(revision 44)
@@ -1,11 +1,27 @@
 var NAVTREEINDEX7 =
 {
+"io__data_8h.html#a4ca29f33fc446a0d6c6fd314c78069b3":[2,0,46,11],
+"io__data_8h.html#a6dbece12f2117234500c91be48ea781c":[2,0,46,8],
+"io__data_8h.html#a74c64d35d845a87219d68d2ffaaac833":[2,0,46,13],
+"io__data_8h.html#a7a2cd054ab7f3308038a53882c7f4e7a":[2,0,46,10],
+"io__data_8h.html#ad6d174017f93c73db69089138f9b74c1":[2,0,46,14],
+"io__data_8h.html#ad87fcd9f0a37939dfec9611a248b4658":[2,0,46,9],
+"io__data_8h_source.html":[2,0,46],
+"namespaceflair.html":[0,0,0],
+"namespaceflair.html":[1,0,0],
+"namespaceflair_1_1actuator.html":[0,0,0,0],
+"namespaceflair_1_1actuator.html":[1,0,0,0],
+"namespaceflair_1_1core.html":[1,0,0,1],
+"namespaceflair_1_1core.html":[0,0,0,1],
+"namespaceflair_1_1filter.html":[1,0,0,2],
+"namespaceflair_1_1filter.html":[0,0,0,2],
 "namespaceflair_1_1gui.html":[1,0,0,3],
+"namespaceflair_1_1gui.html":[0,0,0,3],
 "namespaceflair_1_1meta.html":[1,0,0,4],
 "namespaceflair_1_1meta.html":[0,0,0,4],
 "namespaceflair_1_1sensor.html":[0,0,0,5],
 "namespaceflair_1_1sensor.html":[1,0,0,5],
+"namespaceflair_1_1simulator.html":[1,0,0,6],
 "namespaceflair_1_1simulator.html":[0,0,0,6],
-"namespaceflair_1_1simulator.html":[1,0,0,6],
 "namespacemembers.html":[0,1,0],
 "namespacemembers_func.html":[0,1,1],
Index: /trunk/doc/Flair/search/all_10.js
===================================================================
--- /trunk/doc/Flair/search/all_10.js	(revision 43)
+++ /trunk/doc/Flair/search/all_10.js	(revision 44)
@@ -3,5 +3,5 @@
   ['q0',['Q0',['../classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfea95d87bf031551718d82d04ac1daf420a',1,'flair::core::AhrsData::Q0()'],['../classflair_1_1core_1_1_quaternion.html#a5394aa98e53d17253efd3c5eaca11fb2',1,'flair::core::Quaternion::q0()']]],
   ['q1',['Q1',['../classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfea860a4d9a79ac97d2b726877763841b51',1,'flair::core::AhrsData::Q1()'],['../classflair_1_1core_1_1_quaternion.html#aaaea36fb6b8a1ae444f879e509cb4db5',1,'flair::core::Quaternion::q1()']]],
-  ['q2',['Q2',['../classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfea0c65aec2815d382db5369f0808a24b46',1,'flair::core::AhrsData::Q2()'],['../classflair_1_1core_1_1_quaternion.html#a47c497424771521c976143ef07bc7da1',1,'flair::core::Quaternion::q2()']]],
+  ['q2',['q2',['../classflair_1_1core_1_1_quaternion.html#a47c497424771521c976143ef07bc7da1',1,'flair::core::Quaternion::q2()'],['../classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfea0c65aec2815d382db5369f0808a24b46',1,'flair::core::AhrsData::Q2()']]],
   ['q3',['Q3',['../classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfea019be59f634370d62819b22c1d4b2b2f',1,'flair::core::AhrsData::Q3()'],['../classflair_1_1core_1_1_quaternion.html#aabf0e55b55e7c66716494c5d7f343e70',1,'flair::core::Quaternion::q3()']]],
   ['q3accel',['Q3Accel',['http://qt-project.org/doc/qt-4.8/q3accel.html',0,'Q3Accel'],['http://qt-project.org/doc/qt-4.8/q3accel.html#Q3Accel',0,'Q3Accel::Q3Accel(QWidget *parent, const char *name)'],['http://qt-project.org/doc/qt-4.8/q3accel.html#Q3Accel-2',0,'Q3Accel::Q3Accel(QWidget *watch, QObject *parent, const char *name)']]],
Index: /trunk/doc/Flair/search/all_15.js
===================================================================
--- /trunk/doc/Flair/search/all_15.js	(revision 43)
+++ /trunk/doc/Flair/search/all_15.js	(revision 44)
@@ -68,5 +68,5 @@
   ['videoplayer',['VideoPlayer',['http://qt-project.org/doc/qt-4.8/phonon-videoplayer.html#VideoPlayer',0,'Phonon::VideoPlayer::VideoPlayer(Phonon::Category category, QWidget *parent)'],['http://qt-project.org/doc/qt-4.8/phonon-videoplayer.html#VideoPlayer-2',0,'Phonon::VideoPlayer::VideoPlayer(QWidget *parent)']]],
   ['videoplayer',['VideoPlayer',['http://qt-project.org/doc/qt-4.8/phonon-videoplayer.html',0,'Phonon']]],
-  ['videowidget',['VideoWidget',['http://qt-project.org/doc/qt-4.8/phonon-videowidget.html#VideoWidget',0,'Phonon::VideoWidget::VideoWidget()'],['http://qt-project.org/doc/qt-4.8/phonon-videoplayer.html#videoWidget',0,'Phonon::VideoPlayer::videoWidget()']]],
+  ['videowidget',['videoWidget',['http://qt-project.org/doc/qt-4.8/phonon-videoplayer.html#videoWidget',0,'Phonon::VideoPlayer::videoWidget()'],['http://qt-project.org/doc/qt-4.8/phonon-videowidget.html#VideoWidget',0,'Phonon::VideoWidget::VideoWidget()']]],
   ['videowidget',['VideoWidget',['http://qt-project.org/doc/qt-4.8/phonon-videowidget.html',0,'Phonon']]],
   ['videowidgetinterface44',['VideoWidgetInterface44',['http://qt-project.org/doc/qt-4.8/phonon-videowidgetinterface44.html',0,'Phonon']]],
Index: /trunk/doc/Flair/search/all_18.js
===================================================================
--- /trunk/doc/Flair/search/all_18.js	(revision 43)
+++ /trunk/doc/Flair/search/all_18.js	(revision 44)
@@ -4,5 +4,5 @@
   ['y1',['y1',['http://qt-project.org/doc/qt-4.8/qline.html#y1',0,'QLine::y1()'],['http://qt-project.org/doc/qt-4.8/qlinef.html#y1',0,'QLineF::y1()']]],
   ['y2',['y2',['http://qt-project.org/doc/qt-4.8/qline.html#y2',0,'QLine::y2()'],['http://qt-project.org/doc/qt-4.8/qlinef.html#y2',0,'QLineF::y2()']]],
-  ['yaw',['yaw',['../classflair_1_1core_1_1_euler.html#a27ddef192f8f4c5444ba5fdf63cc0668',1,'flair::core::Euler::yaw()'],['../classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfeaacc98a52fd3a118df2369ceacfe42e80',1,'flair::core::AhrsData::Yaw()']]],
+  ['yaw',['Yaw',['../classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfeaacc98a52fd3a118df2369ceacfe42e80',1,'flair::core::AhrsData::Yaw()'],['../classflair_1_1core_1_1_euler.html#a27ddef192f8f4c5444ba5fdf63cc0668',1,'flair::core::Euler::yaw()']]],
   ['yawdeg',['YawDeg',['../classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfea36d7aef4c89906df6c51376607cb3d26',1,'flair::core::AhrsData']]],
   ['yawdistancefrom',['YawDistanceFrom',['../classflair_1_1core_1_1_euler.html#aefee0889a00c65883b6aeb3b3a7b352d',1,'flair::core::Euler']]],
Index: /trunk/doc/Flair/search/all_1a.js
===================================================================
--- /trunk/doc/Flair/search/all_1a.js	(revision 43)
+++ /trunk/doc/Flair/search/all_1a.js	(revision 44)
@@ -761,4 +761,5 @@
   ['_7ertdm_5fserialport',['~RTDM_SerialPort',['../classflair_1_1core_1_1_r_t_d_m___serial_port.html#a5f2f993bc612dd68b5f19cd41a9135cc',1,'flair::core::RTDM_SerialPort']]],
   ['_7eseekslider',['~SeekSlider',['http://qt-project.org/doc/qt-4.8/phonon-seekslider.html#dtor.SeekSlider',0,'Phonon::SeekSlider']]],
+  ['_7esemaphore',['~Semaphore',['../classflair_1_1core_1_1_semaphore.html#ae1a3001af72b853a3de39bd11f564790',1,'flair::core::Semaphore']]],
   ['_7esenddata',['~SendData',['../classflair_1_1gui_1_1_send_data.html#a586331adf0774b18830b4b5ca29fe55f',1,'flair::gui::SendData']]],
   ['_7eserialport',['~SerialPort',['../classflair_1_1core_1_1_serial_port.html#aeb4eab5de344483667176a101607bb68',1,'flair::core::SerialPort']]],
Index: /trunk/doc/Flair/search/all_2.js
===================================================================
--- /trunk/doc/Flair/search/all_2.js	(revision 43)
+++ /trunk/doc/Flair/search/all_2.js	(revision 44)
@@ -330,5 +330,5 @@
   ['colorgroup',['colorGroup',['http://qt-project.org/doc/qt-4.8/qwidget-qt3.html#colorGroup',0,'QWidget']]],
   ['colormap',['colormap',['http://qt-project.org/doc/qt-4.8/qcolormap.html#colormap',0,'QColormap::colormap()'],['http://qt-project.org/doc/qt-4.8/qx11info.html#colormap',0,'QX11Info::colormap()'],['http://qt-project.org/doc/qt-4.8/qglwidget.html#colormap',0,'QGLWidget::colormap()']]],
-  ['colormode',['colorMode',['http://qt-project.org/doc/qt-4.8/qapplication-qt3.html#colorMode',0,'QApplication::colorMode()'],['http://qt-project.org/doc/qt-4.8/qprinter.html#colorMode',0,'QPrinter::colorMode()'],['http://qt-project.org/doc/qt-4.8/qapplication-qt3.html#ColorMode-typedef',0,'QApplication::ColorMode()']]],
+  ['colormode',['ColorMode',['http://qt-project.org/doc/qt-4.8/qapplication-qt3.html#ColorMode-typedef',0,'QApplication::ColorMode()'],['http://qt-project.org/doc/qt-4.8/qapplication-qt3.html#colorMode',0,'QApplication::colorMode()'],['http://qt-project.org/doc/qt-4.8/qprinter.html#colorMode',0,'QPrinter::colorMode()']]],
   ['colornames',['colorNames',['http://qt-project.org/doc/qt-4.8/qcolor.html#colorNames',0,'QColor']]],
   ['colorproperty',['colorProperty',['http://qt-project.org/doc/qt-4.8/qtextformat.html#colorProperty',0,'QTextFormat']]],
@@ -550,5 +550,5 @@
   ['controlpoints',['controlPoints',['http://qt-project.org/doc/qt-4.8/q3canvasspline.html#controlPoints',0,'Q3CanvasSpline']]],
   ['controltype',['controlType',['http://qt-project.org/doc/qt-4.8/qsizepolicy.html#controlType',0,'QSizePolicy']]],
-  ['controltypes',['controlTypes',['http://qt-project.org/doc/qt-4.8/qlayoutitem.html#controlTypes',0,'QLayoutItem::controlTypes()'],['http://qt-project.org/doc/qt-4.8/qsizepolicy.html#ControlTypes-typedef',0,'QSizePolicy::ControlTypes()']]],
+  ['controltypes',['ControlTypes',['http://qt-project.org/doc/qt-4.8/qsizepolicy.html#ControlTypes-typedef',0,'QSizePolicy::ControlTypes()'],['http://qt-project.org/doc/qt-4.8/qlayoutitem.html#controlTypes',0,'QLayoutItem::controlTypes()']]],
   ['conversionflags',['ConversionFlags',['http://qt-project.org/doc/qt-4.8/qtextcodec.html#ConversionFlags-typedef',0,'QTextCodec']]],
   ['convert',['convert',['http://qt-project.org/doc/qt-4.8/qvariant.html#convert',0,'QVariant']]],
Index: /trunk/doc/Flair/search/all_6.js
===================================================================
--- /trunk/doc/Flair/search/all_6.js	(revision 43)
+++ /trunk/doc/Flair/search/all_6.js	(revision 44)
@@ -100,4 +100,5 @@
   ['getsavefilename',['getSaveFileName',['http://qt-project.org/doc/qt-4.8/qfiledialog.html#getSaveFileName',0,'QFileDialog::getSaveFileName(QWidget *parent, const QString &amp;caption, const QString &amp;dir, const QString &amp;filter, QString *selectedFilter, QFlags&lt; QFileDialog::Option &gt; options)'],['http://qt-project.org/doc/qt-4.8/qfiledialog-qt3.html#getSaveFileName-2',0,'QFileDialog::getSaveFileName(const QString &amp;dir, const QString &amp;filter, QWidget *parent, const char *name, const QString &amp;caption, QString *selectedFilter, bool resolveSymlinks)'],['http://qt-project.org/doc/qt-4.8/q3filedialog.html#getSaveFileName',0,'Q3FileDialog::getSaveFileName()']]],
   ['getselection',['getSelection',['http://qt-project.org/doc/qt-4.8/q3textedit.html#getSelection',0,'Q3TextEdit::getSelection()'],['http://qt-project.org/doc/qt-4.8/qlineedit-qt3.html#getSelection',0,'QLineEdit::getSelection()']]],
+  ['getsemaphore',['GetSemaphore',['../classflair_1_1core_1_1_semaphore.html#a197221f875628bec292dd6fbe6f04142',1,'flair::core::Semaphore']]],
   ['getsimulator',['getSimulator',['../namespaceflair_1_1simulator.html#a9739213d82cf7ff924a6ef218490c564',1,'flair::simulator']]],
   ['getspeed',['GetSpeed',['../classflair_1_1filter_1_1_trajectory_generator2_d_circle.html#ac95915bd0d1e21f744195d9e0543896e',1,'flair::filter::TrajectoryGenerator2DCircle']]],
@@ -224,5 +225,5 @@
   ['glyphindexesforstring',['glyphIndexesForString',['http://qt-project.org/doc/qt-4.8/qrawfont.html#glyphIndexesForString',0,'QRawFont']]],
   ['glyphmetrics',['GlyphMetrics',['http://qt-project.org/doc/qt-4.8/qabstractfontengine-glyphmetrics.html',0,'QAbstractFontEngine']]],
-  ['glyphmetrics',['glyphMetrics',['http://qt-project.org/doc/qt-4.8/qabstractfontengine.html#glyphMetrics',0,'QAbstractFontEngine::glyphMetrics()'],['http://qt-project.org/doc/qt-4.8/qabstractfontengine-glyphmetrics.html#GlyphMetrics',0,'QAbstractFontEngine::GlyphMetrics::GlyphMetrics()']]],
+  ['glyphmetrics',['GlyphMetrics',['http://qt-project.org/doc/qt-4.8/qabstractfontengine-glyphmetrics.html#GlyphMetrics',0,'QAbstractFontEngine::GlyphMetrics::GlyphMetrics()'],['http://qt-project.org/doc/qt-4.8/qabstractfontengine.html#glyphMetrics',0,'QAbstractFontEngine::glyphMetrics()']]],
   ['glyphruns',['glyphRuns',['http://qt-project.org/doc/qt-4.8/qtextfragment.html#glyphRuns',0,'QTextFragment::glyphRuns()'],['http://qt-project.org/doc/qt-4.8/qtextlayout.html#glyphRuns',0,'QTextLayout::glyphRuns()']]],
   ['gotfocus',['gotFocus',['http://qt-project.org/doc/qt-4.8/qfocusevent.html#gotFocus',0,'QFocusEvent']]],
@@ -263,6 +264,6 @@
   ['gridy',['gridY',['http://qt-project.org/doc/qt-4.8/q3iconview.html#gridY-prop',0,'Q3IconView::gridY()'],['http://qt-project.org/doc/qt-4.8/q3iconview.html#gridY-prop',0,'Q3IconView::gridY() const']]],
   ['group',['group',['http://qt-project.org/doc/qt-4.8/qurlinfo.html#group',0,'QUrlInfo::group()'],['http://qt-project.org/doc/qt-4.8/qundoview.html#group',0,'QUndoView::group()'],['http://qt-project.org/doc/qt-4.8/qfileinfo.html#group',0,'QFileInfo::group()'],['http://qt-project.org/doc/qt-4.8/qabstractbutton.html#group',0,'QAbstractButton::group()'],['http://qt-project.org/doc/qt-4.8/qabstractanimation.html#group',0,'QAbstractAnimation::group()'],['http://qt-project.org/doc/qt-4.8/qgraphicsitem.html#group',0,'QGraphicsItem::group()'],['http://qt-project.org/doc/qt-4.8/qdesignercustomwidgetinterface.html#group',0,'QDesignerCustomWidgetInterface::group()'],['http://qt-project.org/doc/qt-4.8/qsettings.html#group',0,'QSettings::group()']]],
+  ['groupbox',['GroupBox',['../classflair_1_1gui_1_1_group_box.html',1,'flair::gui']]],
   ['groupbox',['GroupBox',['../classflair_1_1gui_1_1_group_box.html#afdf8a52639dab292d16cffc286ad1036',1,'flair::gui::GroupBox']]],
-  ['groupbox',['GroupBox',['../classflair_1_1gui_1_1_group_box.html',1,'flair::gui']]],
   ['groupbox_2eh',['GroupBox.h',['../_group_box_8h.html',1,'']]],
   ['groupid',['groupId',['http://qt-project.org/doc/qt-4.8/qfileinfo.html#groupId',0,'QFileInfo']]],
@@ -273,6 +274,6 @@
   ['gx3_5f25_5fahrs',['Gx3_25_ahrs',['../classflair_1_1filter_1_1_gx3__25__ahrs.html#a81454973b37dea1c53e4da99635be4d5',1,'flair::filter::Gx3_25_ahrs']]],
   ['gx3_5f25_5fahrs_2eh',['Gx3_25_ahrs.h',['../_gx3__25__ahrs_8h.html',1,'']]],
+  ['gx3_5f25_5fimu',['Gx3_25_imu',['../classflair_1_1sensor_1_1_gx3__25__imu.html#aec8d507d7e0042553df667e6179c7558',1,'flair::sensor::Gx3_25_imu']]],
   ['gx3_5f25_5fimu',['Gx3_25_imu',['../classflair_1_1sensor_1_1_gx3__25__imu.html',1,'flair::sensor']]],
-  ['gx3_5f25_5fimu',['Gx3_25_imu',['../classflair_1_1sensor_1_1_gx3__25__imu.html#aec8d507d7e0042553df667e6179c7558',1,'flair::sensor::Gx3_25_imu']]],
   ['gx3_5f25_5fimu_2eh',['Gx3_25_imu.h',['../_gx3__25__imu_8h.html',1,'']]]
 ];
Index: /trunk/doc/Flair/search/all_9.js
===================================================================
--- /trunk/doc/Flair/search/all_9.js	(revision 43)
+++ /trunk/doc/Flair/search/all_9.js	(revision 44)
@@ -14,4 +14,5 @@
   ['joyreference',['JoyReference',['../classflair_1_1filter_1_1_joy_reference.html',1,'flair::filter']]],
   ['joyreference_2eh',['JoyReference.h',['../_joy_reference_8h.html',1,'']]],
+  ['jpg',['JPG',['../classflair_1_1sensor_1_1_camera.html#ac6f4c3e58d2822bba71da604544e63b5a92769fe7c40229f4301d6125e0a9e928',1,'flair::sensor::Camera']]],
   ['jumptable',['jumpTable',['http://qt-project.org/doc/qt-4.8/qimage-qt3.html#jumpTable',0,'QImage::jumpTable()'],['http://qt-project.org/doc/qt-4.8/qimage-qt3.html#jumpTable-2',0,'QImage::jumpTable() const']]],
   ['jumptoframe',['jumpToFrame',['http://qt-project.org/doc/qt-4.8/qmovie.html#jumpToFrame',0,'QMovie']]],
